import { ComponentPropsWithRef, ForwardRefExoticComponent } from 'react';
export interface TagProps extends ComponentPropsWithRef<'div'> {
    /** Tag size. Defaults to `small`. */
    size?: 'small';
    /** Tag color. Defaults to `Gray`. */
    color?: 'Gray' | 'Purple' | 'Green';
}
/**
 * Work in progress.
 * This component will get more props — for now, only one size (`small`)
 * and some colors are supported. It should satisfy most of our use
 * cases already, so please use it instead of writing a new Tag inline.
 */
export declare const Tag: ForwardRefExoticComponent<TagProps>;
