import type { NextRouter } from 'next/router';
import { PropsWithChildren } from 'react';
import { I18nContextValue } from './I18nContext';
export type I18nProviderProps = PropsWithChildren<Partial<I18nContextValue> & {
    /**
     * Next.js's router returned from `useRouter()`, or a compatible equivalent.
     * Used to automatically compute `locale`, `setLocale`, and `pathWithoutLocale`.
     * Note that you can override those as needed.
     */
    clientRouter?: NextRouter;
}>;
/**
 * Provides a context that is necessary for all components that contain translatable text, as well as components
 * that get/set the current locale. Should be placed near the root of the app.
 */
export declare const I18nProvider: ({ supportedLocales, translations, locale, pathWithoutLocale, setLocale, clientRouter, children, }: I18nProviderProps) => import("theme-ui/jsx-runtime").JSX.Element;
