/// <reference types="react" />
export { NewGDSButtonProps } from './common';
export { NewGDSButtonCopyProps } from './NewGDSButtonCopy';
export { NewGDSButtonGroupProps } from './NewGDSButtonGroup';
/**
 * Clickable button with a text label and/or an icon.
 *
 * Variants: `NewGDSButton.Primary`, `NewGDSButton.Secondary`, `NewGDSButton.Tertiary`, `NewGDSButton.Copy`.
 * Additional component: `NewGDSButton.Group`.
 */
export declare const NewGDSButton: import("react").ForwardRefExoticComponent<(Omit<import("./common").NewGDSButtonProps.ButtonProps, "ref"> | Omit<import("./common").NewGDSButtonProps.ClientLinkProps, "ref"> | Omit<import("./common").NewGDSButtonProps.ExternalLinkProps, "ref">) & import("react").RefAttributes<import("./common").NewGDSButtonElement>> & {
    /** Shorthand for `<NewGDSButton variant="primary" />`. */
    Primary: import("react").ForwardRefExoticComponent<(Omit<Omit<import("./common").NewGDSButtonProps.ButtonProps, "variant">, "ref"> | Omit<Omit<import("./common").NewGDSButtonProps.ClientLinkProps, "variant">, "ref"> | Omit<Omit<import("./common").NewGDSButtonProps.ExternalLinkProps, "variant">, "ref">) & import("react").RefAttributes<import("./common").NewGDSButtonElement>>;
    /** Shorthand for `<NewGDSButton variant="secondary" />`. */
    Secondary: import("react").ForwardRefExoticComponent<(Omit<Omit<import("./common").NewGDSButtonProps.ButtonProps, "variant">, "ref"> | Omit<Omit<import("./common").NewGDSButtonProps.ClientLinkProps, "variant">, "ref"> | Omit<Omit<import("./common").NewGDSButtonProps.ExternalLinkProps, "variant">, "ref">) & import("react").RefAttributes<import("./common").NewGDSButtonElement>>;
    /** Shorthand for `<NewGDSButton variant="tertiary" />`. */
    Tertiary: import("react").ForwardRefExoticComponent<(Omit<Omit<import("./common").NewGDSButtonProps.ButtonProps, "variant">, "ref"> | Omit<Omit<import("./common").NewGDSButtonProps.ClientLinkProps, "variant">, "ref"> | Omit<Omit<import("./common").NewGDSButtonProps.ExternalLinkProps, "variant">, "ref">) & import("react").RefAttributes<import("./common").NewGDSButtonElement>>;
    /** Shorthand for `<NewGDSButton size="small" shape="round">{...}</NewGDSButton>` with copy functionality. */
    Copy: import("react").ForwardRefExoticComponent<Omit<import("./NewGDSButtonCopy").NewGDSButtonCopyProps, "ref"> & import("react").RefAttributes<HTMLButtonElement>>;
    /** Button group. Can be used to group multiple `<NewGDSButton />` components. Variants: `NewGDSButton.Group.Primary`, `NewGDSButton.Group.Secondary`, `NewGDSButton.Group.Tertiary`. */
    Group: import("react").ForwardRefExoticComponent<{
        variant?: import("./common").Variant | undefined;
        size?: import("./common").Size | undefined;
        disabled?: boolean | undefined;
    } & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>> & {
        Primary: {
            (props: Omit<import("./NewGDSButtonGroup").NewGDSButtonGroupProps, "variant">): import("theme-ui/jsx-runtime").JSX.Element;
            displayName: string;
        };
        Secondary: {
            (props: Omit<import("./NewGDSButtonGroup").NewGDSButtonGroupProps, "variant">): import("theme-ui/jsx-runtime").JSX.Element;
            displayName: string;
        };
        Tertiary: {
            (props: Omit<import("./NewGDSButtonGroup").NewGDSButtonGroupProps, "variant">): import("theme-ui/jsx-runtime").JSX.Element;
            displayName: string;
        };
    };
};
