import { HTMLAttributes, ReactNode } from 'react';
import { ResponsiveStyleValue } from 'theme-ui';
import { IconProps } from '../../atoms';
import { SxColor } from '../../tokens';
import { MessageSeverity } from '../../types/MessageSeverity';
export interface InputMessageBaseProps extends Omit<HTMLAttributes<HTMLElement>, 'color'> {
    color?: ResponsiveStyleValue<SxColor>;
}
export interface InputMessageExplicitProps extends InputMessageBaseProps {
    renderIcon: (props: {
        size: IconProps['size'];
    }) => ReactNode;
}
interface InputMessageSeverityProps extends InputMessageBaseProps {
    severity: MessageSeverity;
}
export type InputMessageProps = InputMessageExplicitProps | InputMessageSeverityProps;
export declare function InputMessage(props: InputMessageProps): import("theme-ui/jsx-runtime").JSX.Element;
export {};
